<template>
  <div class="layer-groups-panel d-flex flex-grow-1 flex-column bg-light">
    <layer-group-control v-for="layerGroup in layerGroups" :key="layerGroup.uniqueId" :layerGroupId="layerGroup.uniqueId"/>
  </div>
</template>

<script>
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import LayerGroupControl from '@/workspace/components/layers/LayerGroupControl'

export default {
  name: 'layergroupspanel',

  mixins: [
    WorkspaceGetter,
  ],

  computed: {
    layerGroups: {
      get() {
        return this.$store.getters.workspaceLayerGroups(this.workspaceId).sort((a, b) => {
          if(a.title < b.title) return -1
          if(a.title > b.title) return 1
          return 0
        })
      }
    },
  },

  components: {
    LayerGroupControl,
  },
}
</script>

<style scoped>
.layer-groups-panel {
  font-size: 0.8rem;
  white-space: nowrap;
}

.layer-groups-panel .btn {
  font-size: 0.8rem;
}
</style>
